Skip to main content
GET
/
api
/
v1
/
pos-reports
Get POS Reports
curl --request GET \
  --url https://api.retailreadyai.com/api/v1/pos-reports \
  --header 'Authorization: Bearer <token>'
{
  "message": "POS data retrieved successfully",
  "data": {
    "items": [
      {
        "sku": "PILLOW-01",
        "retailer": "Target",
        "start_date": "2026-04-01",
        "end_date": "2026-04-07",
        "units_sold": 240,
        "revenue": 4800,
        "cogs": 2400,
        "returns": 5,
        "net_units": 235,
        "gross_margin": 2400,
        "margin_percent": 50,
        "inventory_units": 1200,
        "inventory_cost": 12000,
        "damaged_inventory_units": 3,
        "damaged_inventory_cost": 30,
        "on_order_units": 500,
        "on_order_cost": 5000,
        "location": "DC-ATL"
      }
    ],
    "total_count": 1342,
    "page": 1,
    "page_size": 50
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.retailreadyai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number (1-indexed). Defaults to 1.

page_size
integer
default:50

Number of items per page. Defaults to 50, capped at 100.

Required range: x <= 100
retailer_id
string<uuid>

Filter by retailer. Must be a retailer your brand is or was associated with.

start_date
string<date>

Inclusive lower bound on the report's start_date (YYYY-MM-DD).

end_date
string<date>

Inclusive upper bound on the report's end_date (YYYY-MM-DD).

Response

POS data retrieved successfully

message
string
Example:

"POS data retrieved successfully"

data
object